Bug 1411547 - [INTEL] LVM/SOFTWARE RAID SUPPORT IN IRONIC-PYTHON-AGENT
Summary: [INTEL] LVM/SOFTWARE RAID SUPPORT IN IRONIC-PYTHON-AGENT
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Raviv Bar-Tal
URL: https://review.openstack.org/#/c/327769/
Whiteboard:
Depends On:
Blocks: 1476902 1573955
TreeView+ depends on / blocked
 
Reported: 2017-01-10 00:13 UTC by Rob Armstrong
Modified: 2018-11-26 18:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 14:50:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rob Armstrong 2017-01-10 00:13:26 UTC
1.	Feature Overview:  Support LVM Software RAID in the default hardware
manager included in IPA
 a)	Name of feature: [INTEL OSP 12] LVM/SOFTWARE RAID SUPPORT IN IRONIC-PYTHON-AGENT

 b)	Feature Description: This spec is to implement LVM Software RAID in the default hardware manager included in IPA. This is so that nodes without dedicated RAID controllers (e.g. compute nodes) can have greater resiliency to disk failures. This will require software RAID tooling and a specific
cleaning implementation..

 2.	Feature Details:
 a)	Architectures:  
64-bit Intel E
Power
System/390

 b)	Bugzilla Dependencies:

 c)	Drivers or hardware dependencies:

 d)	Upstream acceptance information: Current status and Any links to specification; upstream acceptance, and/or blueprint

 e)	External links:

 f)	Severity (H,M,L):  M


 g)	Feature Needed by:

 3.	Business Justification:  (Some partners prefer to include this information in Comment #1, so it can be made private if the bug is opened to other partners.)

 a)	Why is this feature needed?

 b)	What hardware does this enable?

 c)	Is this hardware on-board in a system (eg, LOM) or an add-on card?

 d)	Business impact?

 e)	Other business drivers:

 4.	Primary contact at Red Hat, email, phone (chat)

 5.	Primary contact at Partner, email, phone (chat)
Grzegorz Grasza grzegorz.grasza@intel.com

Comment 2 Ramon Acedo 2017-10-23 07:38:55 UTC
This RFE can't be prioritised in the OSP 13 plans. If there's any work initiated upstream, could you please link it here to have it tracked?

Comment 3 JP Jung 2018-05-03 13:23:45 UTC
Hi Rob,

https://review.openstack.org/#/c/327769/  is abandoned.
Will Intel resume upstream work, or do we close this request?

Thanks.

Comment 4 Pragyan Pathi 2018-10-09 01:11:49 UTC
Pavan 
From Intel's perspective - Please close the request: No response from the developer on upstreaming time lines.
If Needed we will create a new one.
Thanks
Pragyan


Note You need to log in before you can comment on or make changes to this bug.